: Class Jdbc

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.jdbc
Class Jdbc

    java.lang.Object
      |
      +--org.w3c.tools.jdbc.Jdbc

public class Jdbc
extends java.lang.Object

Field Summary
`static int` | `DEFAULT_MAX_CONN`
`static java.lang.String` | `JDBC_DRIVER_P`
`static java.lang.String` | `MAX_CONNECTIONS_P`
`static java.lang.String` | `PASSWORD_P`
`static java.lang.String` | `USER_P`

Constructor Summary
`Jdbc()`

Method Summary
`static java.lang.String` | `getDriver(java.util.Properties props)`
`static int` | `getMaxConn(java.util.Properties props)`
`static java.lang.String` | `getPassword(java.util.Properties props)`
`static java.lang.String` | `getUser(java.util.Properties props)`
`static java.util.Properties` | `setDriver(java.util.Properties props, java.lang.String driver)`
`static java.util.Properties` | `setMaxConn(java.util.Properties props, int max)`
`static java.util.Properties` | `setPassword(java.util.Properties props, java.lang.String password)`
`static java.util.Properties` | `setUser(java.util.Properties props, java.lang.String user)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_CONNECTIONS_P

    public static final java.lang.String MAX_CONNECTIONS_P

### DEFAULT_MAX_CONN

    public static final int DEFAULT_MAX_CONN

### JDBC_DRIVER_P

    public static final java.lang.String JDBC_DRIVER_P

### USER_P

    public static final java.lang.String USER_P

### PASSWORD_P

    public static final java.lang.String PASSWORD_P

Constructor Detail

### Jdbc

    public Jdbc()

Method Detail

### getMaxConn

    public static int getMaxConn(java.util.Properties props)

### setMaxConn

    public static java.util.Properties setMaxConn(java.util.Properties props,
                                                  int max)

### getDriver

    public static java.lang.String getDriver(java.util.Properties props)

### setDriver

    public static java.util.Properties setDriver(java.util.Properties props,
                                                 java.lang.String driver)

### getUser

    public static java.lang.String getUser(java.util.Properties props)

### setUser

    public static java.util.Properties setUser(java.util.Properties props,
                                               java.lang.String user)

### getPassword

    public static java.lang.String getPassword(java.util.Properties props)

### setPassword

    public static java.util.Properties setPassword(java.util.Properties props,
                                                   java.lang.String password)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD